Subject: bug#26201: hydra.gnu.org uses ‘guix publish’ for nars and narinfos

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Thu, 23 Mar 2017 19:52:30 +0100

Mark,

On 23/03/17 19:36, Mark H Weaver wrote:
> One question: what will happen in the case of multiple concurrent
> requests for the same nar?  Will multiple nar-pack-and-bzip2 processes
> be run on-demand?

I think this used to be the case with the previous nginx configuration,
but the recent changes pushed by Ludo' were aimed in part at preventing
that.

> Recall that the nginx proxy will pass all of those requests through,

Are you sure? I was under the impression¹ that this is exactly what
‘proxy_cache_lock on;’ prevents. I'm no nginx guru, obviously, so please
— anyone! — correct me if I'm misguided.

Kind regards,

T G-R

¹:
https://nginx.org/en/docs/http/ngx_http_proxy_module.html#proxy_cache_lock